package com.qs.mp.common.enums;

import com.alibaba.fastjson.annotation.JSONType;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.qs.mp.common.json.EnumValueDeserializer;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;

/**
 * 运费模板规则类型枚举类
 * @author Cup
 * @date 2022/5/5
 */
@ApiModel("运费模板规则类型枚举类")
public enum ShippingTemplateRuleTypeEnum implements IEnum<Integer> {

    SHIP(1,"发货"),

    NOT_SHIP(2,"不发货");


    ShippingTemplateRuleTypeEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    private final int value;
    private final String desc;


    @Override
    public Integer getValue() {
        return value;
    }
}
